summaryrefslogtreecommitdiff
path: root/vdr-submenu2menuorg
diff options
context:
space:
mode:
authorsvntobi <svntobi@cd0d6b48-d4f9-0310-940f-ab8c4eb44d3f>2007-08-23 23:45:30 +0000
committersvntobi <svntobi@cd0d6b48-d4f9-0310-940f-ab8c4eb44d3f>2007-08-23 23:45:30 +0000
commitb28967c70bc67b8e2066509350eac03f4220d3b7 (patch)
tree1aeebfed7f7414c3fd2765f8caaba3cef3605974 /vdr-submenu2menuorg
parent96a071082d6285df511a091816e26c1e8f9b5773 (diff)
downloadvdr-plugin-menuorg-b28967c70bc67b8e2066509350eac03f4220d3b7.tar.gz
vdr-plugin-menuorg-b28967c70bc67b8e2066509350eac03f4220d3b7.tar.bz2
renamed convert script, to avoid trouble with vdrdevel
git-svn-id: file:///home/tobias/sandbox/vdr/--/vdr-pkg/vdr-pkg/menuorg/trunk@5950 cd0d6b48-d4f9-0310-940f-ab8c4eb44d3f
Diffstat (limited to 'vdr-submenu2menuorg')
-rwxr-xr-xvdr-submenu2menuorg86
1 files changed, 86 insertions, 0 deletions
diff --git a/vdr-submenu2menuorg b/vdr-submenu2menuorg
new file mode 100755
index 0000000..b64de43
--- /dev/null
+++ b/vdr-submenu2menuorg
@@ -0,0 +1,86 @@
+#!/bin/bash
+#
+# vdr-menuorg - A plugin for the Linux Video Disk Recorder
+# Copyright (C) 2007 Thomas Creutz, Tobias Grimm
+#
+# This program is free software; you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation; either version 2 of the License, or
+# (at your option) any later version.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with this program; if not, write to the Free Software
+# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
+#
+# $Id$
+#
+
+usage="usage: $0 submenu-file menuorg-file"
+
+if [ a"$1" == a"" ] || ! [ -f $1 ]; then echo $usage && exit 1; fi
+if [ a"$2" == a"" ]; then echo $usage && exit 1; fi
+
+declare -a menu
+
+echo -n "read the input file... "
+while read line
+do
+ menuLevel=`echo $line|cut -d: -f1`
+ kindOfItem=`echo $line|cut -d: -f2`
+ name=`echo $line|cut -d: -f3`
+
+ if [ a"$kindOfItem" != a"" ] && [ "$kindOfItem" != "0" ]
+ then
+ menu[$menuLevel]="${menu[$menuLevel]} ${kindOfItem};$name"
+ else
+ menu[$menuLevel]="${menu[$menuLevel]} $name"
+ fi
+done < $1
+echo done
+
+echo -n "write the xml to the output file... "
+{
+ echo "<menus>"
+ for item in `echo ${menu[0]}`
+ do
+ case $item
+ in
+ Schedule) echo " <system name=\"${item}\" />";;
+ Channels) echo " <system name=\"${item}\" />";;
+ Timers) echo " <system name=\"${item}\" />";;
+ Recordings) echo " <system name=\"${item}\" />";;
+ Setup) echo " <system name=\"${item}\" />";;
+ Commands) echo " <system name=\"${item}\" />";;
+
+ [1-9]*)
+ echo " <menu name=\"$(echo $item|cut -d';' -f2)\">"
+
+ index=`echo $item|cut -d';' -f1`
+ for Subitem in `echo ${menu[$index]}`
+ do
+ case $Subitem
+ in
+ Schedule) echo " <system name=\"${Subitem}\" />";;
+ Channels) echo " <system name=\"${Subitem}\" />";;
+ Timers) echo " <system name=\"${Subitem}\" />";;
+ Recordings) echo " <system name=\"${Subitem}\" />";;
+ Setup) echo " <system name=\"${Subitem}\" />";;
+ Commands) echo " <system name=\"${Subitem}\" />";;
+ *) echo " <plugin name=\"${Subitem}\" />";;
+ esac
+ done
+
+ echo " </menu>"
+ ;;
+
+ *) echo " <plugin name=\"${item}\" />";;
+ esac
+ done
+ echo "</menus>"
+} > $2
+echo done